> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Run



## OpenAPI

````yaml get /v3/jobs/{job_uid}
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/jobs/{job_uid}:
    get:
      tags:
        - Runs
      summary: Get a Run
      operationId: v3_get_job
      parameters:
        - required: true
          schema:
            title: Job UID
            type: string
            format: uuid
          name: job_uid
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                uid: xxxxxxxxxxx-xxxxx-49be-9e21-d8037d1e393b
                name: Test job via API
                status: finished
                start_time: '2024-11-26T18:21:03.019011+00:00'
                scheduled_time: null
                finish_time: '2024-11-26T18:21:09.082904+00:00'
                row_count: 1
                total_row_count: 1
                error_message: null
                workflow_name: Extract LinkedIn People Profile
                workflow_uid: xxxxxxxx-xxxxxx-4eeb-ada7-652fb498f540
                main_job_uid: null
                main_job_name: null
                configuration:
                  steps:
                    - accounts:
                        - xxxxxxxx-xxxxx-4692-9d6d-e97ac1544308
                      parameters: {}
                      workflow_template_uid: xxxxxxx-xxxxx-483f-b220-0fcccfdd14b2
                      accounts_rotation_enabled: false
                accounts:
                  - xxxxxx-xxxxx-4692-9d6d-e97ac1544308
                number_inputs: 1
                step_uid: null
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - path
                      - job_uid
                    msg: value is not a valid uuid
                    type: type_error.uuid
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````